View Issue Details

IDProjectCategoryView StatusLast Update
0026188LazarusIDEpublic2020-02-08 20:40
ReporterSimon Ameis Assigned ToJuha Manninen  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformDesktop PCOSWindows 7, 64 bit 
Product Version1.2.2 
Summary0026188: Package editor: tree collapses on every action
DescriptionThe tree view of the package editor collapses on every change of the units. This includes modification of the file properties or removing a file from the package.

This is very anoying when changing multiple files.

Expected behaviour: the view shouldn't change. All expanded nodes should remain expanded until user changes this. Of course a removed unit may be moved to the "removed section".
Steps To Reproduce1. Create and save a new package; enable "Show directory hierarchy"
2. Add a unit in a subfolder to the package; the tree view should now show "Files->[subfolder]->[unit]
3. select unit and enable "Register unit" in file properties
4. the tree collapses
TagsNo tags attached.
Fixed in Revisionr45737, r45739, r46038, r46110, r46224, r47928, r50795, r50796
LazTarget-
WidgetsetWin32/Win64
Attached Files

Relationships

related to 0028097 resolvedJuha Manninen Patches PackgEditor. new look, no AddMore btn 

Activities

Juha Manninen

2014-08-12 01:00

developer   ~0076575

Last edited: 2014-09-03 21:34

View 2 revisions

Changes done so far in r45737, r45739, r46038, r46110.

Juha Manninen

2014-09-03 21:39

developer   ~0076882

I have made some improvements. Please test.
Now an action done in the files list does not trigger a whole redraw and so the user's view is retained.
Returning files from the removed list still updates all.
I think this is a good compromise. Please tell if you find more problems.

Juha Manninen

2014-09-14 15:27

developer   ~0077218

Please test.

Simon Ameis

2014-10-11 09:44

reporter   ~0078157

Thanks for fixing. There are a few other minor issues:
Changing file type in hierarchy mode collapses all tree nodes below "Files" ("Files" itself doesn't collapse)

There is a issue when selecting a node (file or directory) and then right clicking on another node: the context menu of the first selected node is still used but without sub menues; if the selected and the right clicked node are different node types (file and directory) both context menu items are shown.

Juha Manninen

2015-02-21 00:53

developer   ~0081302

Fixed the problem when changing file type.

Simon Ameis

2015-05-06 11:39

reporter  

Context_multiple_node.png (21,471 bytes)   
Context_multiple_node.png (21,471 bytes)   

Simon Ameis

2015-05-06 11:43

reporter   ~0083500

I've attached an screen shot from r48639 with the context issue. For reproduction:
  1. Select directory node
  2. Right click on file node


The collapsing issue is confirmed to be fixed. Thank you.

Juha Manninen

2015-12-14 14:00

developer   ~0087952

I think the GUI works nicely now. Selections are kept, popup menu has meaningful items etc.
Please test and reopen if you still find problems.

The latest commits will be merged to 1.6 branch if everything works.

Issue History

Date Modified Username Field Change
2014-05-18 22:46 Simon Ameis New Issue
2014-06-29 17:54 Juha Manninen Assigned To => Juha Manninen
2014-06-29 17:54 Juha Manninen Status new => assigned
2014-08-12 01:00 Juha Manninen Note Added: 0076575
2014-09-03 21:34 Juha Manninen Note Edited: 0076575 View Revisions
2014-09-03 21:39 Juha Manninen LazTarget => -
2014-09-03 21:39 Juha Manninen Note Added: 0076882
2014-09-03 21:39 Juha Manninen Status assigned => feedback
2014-09-14 15:27 Juha Manninen Fixed in Revision => r45737, r45739, r46038, r46110, r46224
2014-09-14 15:27 Juha Manninen Note Added: 0077218
2014-09-14 15:27 Juha Manninen Status feedback => resolved
2014-09-14 15:27 Juha Manninen Resolution open => fixed
2014-10-11 09:44 Simon Ameis Note Added: 0078157
2014-10-11 09:45 Simon Ameis Status resolved => assigned
2014-10-11 09:45 Simon Ameis Resolution fixed => reopened
2015-02-21 00:53 Juha Manninen Fixed in Revision r45737, r45739, r46038, r46110, r46224 => r45737, r45739, r46038, r46110, r46224, r47928
2015-02-21 00:53 Juha Manninen Note Added: 0081302
2015-05-06 11:39 Simon Ameis File Added: Context_multiple_node.png
2015-05-06 11:43 Simon Ameis Note Added: 0083500
2015-05-16 13:35 Juha Manninen Relationship added related to 0028097
2015-12-14 14:00 Juha Manninen Fixed in Revision r45737, r45739, r46038, r46110, r46224, r47928 => r45737, r45739, r46038, r46110, r46224, r47928, r50795, r50796
2015-12-14 14:00 Juha Manninen Note Added: 0087952
2015-12-14 14:00 Juha Manninen Status assigned => resolved
2015-12-14 14:00 Juha Manninen Resolution reopened => fixed
2020-02-08 20:40 Simon Ameis Status resolved => closed